Sync Agents - Get

Bir eşitleme aracısı alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/syncAgents/{syncAgentName}?api-version=2025-01-01

URI Parametreleri

Name İçinde Gerekli Tür Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

syncAgentName
path True

string

Eşitleme aracısının adı.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

SyncAgent

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Get a sync agent

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187?api-version=2025-01-01

Örnek yanıt

{
  "name": "syncagent",
  "type": "Microsoft.Sql/servers/syncAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187",
  "properties": {
    "expiryTime": "9999-12-31T23:59:59.9999999Z",
    "isUpToDate": true,
    "state": "NeverConnected",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/databases/sync",
    "version": "4.2.0.0"
  }
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

SyncAgent

An Azure SQL Veritabanı sync agent.

SyncAgentState

Eşitleme aracısının durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

SyncAgent

An Azure SQL Veritabanı sync agent.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.expiryTime

string (date-time)

Eşitleme aracısı sürümünün sona erme zamanı.

properties.isUpToDate

boolean

Eşitleme aracısı sürümü güncelse.

properties.lastAliveTime

string (date-time)

Eşitleme aracısının son canlı zamanı.

properties.name

string

Eşitleme aracısının adı.

properties.state

SyncAgentState

Eşitleme aracısının durumu.

properties.syncDatabaseId

string

Eşitleme aracısında eşitleme veritabanının ARM kaynak kimliği.

properties.version

string

Eşitleme aracısının sürümü.

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

SyncAgentState

Eşitleme aracısının durumu.

Değer Description
Online

Çevrimiçi

Offline

Çevrimdışı

NeverConnected

NeverConnected

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.